/* src/App.css */
.App {
  text-align: center;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
  position: relative;
}

.greeting-message {
  font-size: 1em;
  margin-top: 20px;
  z-index: 1;
  color: white;
}

.slide-container {
  width: 100%;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
}

.each-slide > div {
  height: 100vh;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  image-rendering: auto;
}

h1, .audio-control {
  position: relative;
  z-index: 1;
}

.audio-control {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20px;
}

.audio-title {
  margin-top: 10px;
  font-size: 1.2em;
}

.audio-control button {
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 50px;
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background-color 0.3s ease;
  outline: none;
  font-size: 1.5em;
}

.audio-control button:hover {
  background-color: #0056b3;
}

.audio-control button:focus {
  outline: none;
}

.audio-control button:active {
  background-color: #004494;
}

audio {
  display: none;
}

.datetime {
  margin-top: 20px;
  font-size: 1.5em;
  color: white;
  background-color: rgba(0, 0, 0, 0.5); /* Fond semi-transparent pour plus de lisibilité */
  padding: 10px;
  border-radius: 5px;
}

.date-time-location {
  position: fixed;
  top: 10px;
  right: 10px;
  text-align: right;
  background-color: rgba(255, 255, 255, 0.8);
  padding: 10px;
  border-radius: 5px;
  z-index: 1000; /* Assurez-vous qu'il soit au-dessus des autres éléments */
}
